#!/bin/bash
#
# -- Definition of colour values in the terminal
#--------------------------------------------------------------------------------------
RE="\033[0;31m"                 # red
GR="\033[0;32m"                 # green
BL="\033[0;34m"                 # blue
REB="\033[1;31m"                # red bold
GRB="\033[1;32m"                # green bold
BLB="\033[1;34m"                # blue bold
FGB="\033[1m\033[42m\033[37m"   # bold + withe + green background
NO="\033[0m"                    # normal
#--------------------------------------------------------------------------------------

if [ -z "$1" ]; then
   echo "ERROR! The parameter string is an empty string."
   exit 99
else
   pass=$1
fi

webserver="lighttpd"
echo "WEBSERVER = ${webserver}"

target_basic_path="/usr/lib/cgi-bin"
echo "TARGET-BASIC-PATH = ${target_basic_path}"

pwd="${PWD##*/}"
echo "PWD = ${pwd}"

target_site_path=${target_basic_path}/${pwd}
echo "TARGET-SITE-PATH = ${target_site_path}"

username="emma"
echo "USERNAME = ${username}"

#IP address of the (web) server
ipaddress="192.168.0.11"
echo "IP-ADDRESS = ${ipaddress}"

source_path=$(pwd)
echo "SOURCE-PATH = ${source_path}"

output=$(ping -c 1  ${ipaddress})
#echo ${output}

substring="min/avg/max/mdev"

if [[ ${output} =~ ${substring} ]]; then
   echo
   echo -e "${BLB}The web server on the intranet with the IP address '${ipaddress}' can be reached.${NO}"
   echo
else
   echo
   echo -e "${REB}ERROR\nThe web server in the intranet with the IP address '${ipaddress}' is not accessible!${NO}"
   echo
   exit 99
fi

#--------------------------------------------------------------------------------------

ssh ${username}@${ipaddress} "echo ${pass} | sudo -S mkdir ${target_site_path} 2>/dev/null && echo ${pass} | sudo -S chmod 777 ${target_site_path} && exit"

scp ${source_path}/index.gambas ${username}@${ipaddress}:${target_site_path}
scp -r ${source_path}/.hidden ${username}@${ipaddress}:${target_site_path}

ssh ${username}@${ipaddress} "echo ${pass} | sudo -S chmod 755 ${target_site_path} && exit"

#--------------------------------------------------------------------------------------

echo " "
echo " "
echo -e "${REB}Continue with <ENTER>${NO}"
read e
